## OsmGpsMapPoint OsmGpsMapPoint — A geographic location (latitude, longitude) |

## Stability Level

Stable, unless otherwise indicated

## Functions

void | osm_gps_map_point_get_degrees ()
void | osm_gps_map_point_get_radians ()
OsmGpsMapPoint * | osm_gps_map_point_new_degrees ()
OsmGpsMapPoint * | osm_gps_map_point_new_radians ()
void | osm_gps_map_point_set_degrees ()
void | osm_gps_map_point_set_radians ()
OsmGpsMapPoint * | osm_gps_map_point_copy ()
void | osm_gps_map_point_free ()

## Types and Values

struct | OsmGpsMapPoint

## Object Hierarchy

        GBoxed
        ╰── OsmGpsMapPoint

## Includes

    #include <osm-gps-map.h>

## Description

OsmGpsMapPoint describes a geographic location (latitude, longitude). Helper functions exist to create such a point from either radian co-ordinates (`osm_gps_map_point_new_radians()`) or degrees (`osm_gps_map_new_degrees()`).

## Functions

### osm_gps_map_point_get_degrees ()

    void
    osm_gps_map_point_get_degrees (OsmGpsMapPoint *point,
                                   float *lat,
                                   float *lon);

Returns the lagitude and longitude in degrees. of the current window, i.e the top left and bottom right corners.

#### Parameters

point | The point ( latitude and longitude in radian ) |
lat | latitude in degrees. | [out]
lon | longitude in degrees. | [out]

### osm_gps_map_point_get_radians ()

    void
    osm_gps_map_point_get_radians (OsmGpsMapPoint *point,
                                   float *rlat,
                                   float *rlon);

### osm_gps_map_point_new_degrees ()

    OsmGpsMapPoint *
    osm_gps_map_point_new_degrees (float lat,
                                   float lon);

### osm_gps_map_point_new_radians ()

    OsmGpsMapPoint *
    osm_gps_map_point_new_radians (float rlat,
                                   float rlon);

### osm_gps_map_point_set_degrees ()

    void
    osm_gps_map_point_set_degrees (OsmGpsMapPoint *point,
                                   float lat,
                                   float lon);

### osm_gps_map_point_set_radians ()

    void
    osm_gps_map_point_set_radians (OsmGpsMapPoint *point,
                                   float rlat,
                                   float rlon);

### osm_gps_map_point_copy ()

    OsmGpsMapPoint *
    osm_gps_map_point_copy (const OsmGpsMapPoint *point);

Since: 0.7.2

### osm_gps_map_point_free ()

    void
    osm_gps_map_point_free (OsmGpsMapPoint *point);

Since: 0.7.2

## Types and Values

### struct OsmGpsMapPoint

    struct OsmGpsMapPoint {
        /* radians */
        float  rlat;
        float  rlon;
    };